# $Revision: 1.39 $, $Date: 2008/07/27 22:32:53 $
%include	/usr/lib/rpm/macros.perl
%define		pdir	Devel
%define		pnam	Carp
Summary:	Devel::Carp - miscleanous error handling functions
Summary(pl.UTF-8):	Devel::Carp - różne funkcje do obsługi błędów
Name:		perl-Devel-Carp
Version:	0.04
Release:	14
License:	unknown
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/%{pdir}/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	e5377daa28ee1981dcbc2a074bf7a6ef
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_noautoprov	'perl(Carp)'

%description
The Carp routines are useful in your own modules because they act like
die() or warn(), but report where the error was in the code they were
called from. Thus if you have a routine Foo() that has a carp() in it,
then the carp() will report the error as occurring where Foo() was
called, not where carp() was called.

%description -l pl.UTF-8
Funkcje Carp są przydatne we własnych modułach, ponieważ zachowują się
jak die() i warn(), ale zgłaszają, że błąd wystąpił w kodzie, z
którego zostały wywołane. W ten sposób, jeśli jest funkcja Foo(),
która zawiera carp(), to carp() zgłosi błąd jako występujący w
miejscu, z którego została wywołana funkcja Foo(), a nie carp().

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc ChangeLog README
%{perl_vendorlib}/Devel/Carp.pm
%{_mandir}/man3/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: perl-Devel-Carp.spec,v $
Revision 1.39  2008/07/27 22:32:53  arekm
- release 14

Revision 1.38  2007-02-13 07:16:54  glen
- tabs in preamble

Revision 1.37  2007/02/12 00:49:29  baggins
- converted to UTF-8

Revision 1.36  2004/11/03 22:30:18  paladine
- formatting

Revision 1.35  2004/05/07 01:06:42  ankry
- rel. 13

Revision 1.34  2004/05/06 18:01:28  ankry
- fixed perl-devel BR

Revision 1.33  2004/04/20 10:45:25  ankry
- license fixes/unufication

Revision 1.32  2004/04/14 14:37:50  ankry
- cosmetics

Revision 1.31  2003/09/09 10:24:33  ankry
- spaces -> tab

Revision 1.30  2003/08/19 14:28:06  qboosh
- updated _noauto for new wrappers, cosmetics

Revision 1.29  2003/08/18 08:08:41  gotar
- mass commit: cosmetics (removed trailing white spaces)

Revision 1.28  2003/05/28 13:00:33  malekith
- massive attack: source-md5

Revision 1.27  2003/05/25 06:24:34  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.26  2003/04/11 18:59:22  radek
- BR: perl-devel; do not BR: perl

Revision 1.25  2003/03/01 18:05:27  radek
- should be ready for perl-5.8.0; release++

Revision 1.24  2003/02/25 00:38:32  radek
- use the __perl macro

Revision 1.23  2003/02/18 15:31:24  ankry
- massive attack: change CPAN URLs

Revision 1.22  2002/08/14 23:38:09  qboosh
- pl description, release 11

Revision 1.21  2002/08/11 10:51:08  radek
- informative summary/description, release++, STBR

Revision 1.20  2002/07/10 08:46:57  depesz
- applied changes using automat supplied by Radoslaw Zielinski

Revision 1.19  2002/05/11 14:28:07  kloczek
- s/ftp.perl.org/ftp.cpan.org/ in Source url.

Revision 1.18  2002/02/25 10:30:46  depesz
cleanup; revision++

Revision 1.17  2002/02/22 23:29:27  kloczek
- removed all Group fields translations (oure rpm now can handle translating
  Group field using gettext).

Revision 1.16  2002/02/13 14:11:16  depesz
automatic: Source location unfied, Relase Up

Revision 1.15  2002/02/10 15:25:32  depesz
adapterized

Revision 1.14  2002/01/18 02:14:16  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.13  2001/11/28 15:20:15  mis
- buildarch noarch; release++

Revision 1.12  2001/09/18 22:17:50  kloczek
- release 6.

Revision 1.11  2001/09/18 14:04:35  qboosh
- use _noautoprov instead of dep patch

Revision 1.10  2001/04/17 12:07:53  baggins
- release 5
- rebuild with perl 5.6.1

Revision 1.9  2001/04/14 18:00:05  baggins
- removed explicit requirements for perl = %%{version} and %%{perl_sitearch}
  they will be added by rpm if needed

Revision 1.8  2000/12/31 00:21:29  kloczek
- release 4: rebuild agaunst perl 5.6 and use new rpm automation.

Revision 1.7  2000/06/09 07:54:46  kloczek
- more %%{__make} macros.

Revision 1.6  2000/06/09 07:23:34  kloczek
- added using %%{__make} macro.

Revision 1.5  2000/05/18 23:50:15  kloczek
- spec adapterized.

Revision 1.4  2000/04/01 11:15:18  zagrodzki
- changed all BuildRoot definitons
- removed all applnkdir defs
- changed some prereqs/requires
- removed duplicate empty lines

Revision 1.3  2000/03/28 16:54:48  baggins
- translated kloczkish into english

Revision 1.2  1999/11/04 21:24:39  pius
- added '%include /usr/lib/rpm/macros.perl'
- modified BuildRequires rules

Revision 1.1  1999/10/09 18:15:16  pius
- initial release
